## drpython 3.11.4

=== Makefile ===
# :todo: `dist` target that creates a release archive.
# :todo: Own Makefile for generating the documentation.

APP_NAME='DrPython'
APP_URL='http://drpython.sourceforge.net/'
APIDOCS_DIR='apidocs'

.PHONY: all docs apidocs clean

all:
	@echo "Use: any of the targets docs, apidocs, or clean."

docs:
	$(MAKE) -C docsrc html
	$(MAKE) documentation

documentation: docsrc/_build/html
	cp -vra docsrc/_build/html/* documentation

apidocs:
	epydoc --verbose\
		--name $(APP_NAME) \
		--url $(APP_URL) \
		--docformat "restructuredtext en" \
		--graph "classtree" \
		--show-imports \
		--include-log \
		-o $(APIDOCS_DIR) \
		.

clean:
	rm -rf *~ *.orig *.bak *.pyc $(APIDOCS_DIR)
	$(MAKE) -C docsrc clean

=== docsrc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* *~

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DrPython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DrPython.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DrPython"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DrPython"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## drpython 2.4.6-1

=== debian/changelog ===
drpython (2.4.6-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Fri, 30 Apr 2004 19:46:16 +0200

drpython (2.3.5-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Mon, 29 Mar 2004 21:48:15 +0200

drpython (2.2.9-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Tue,  2 Mar 2004 20:42:56 +0100

drpython (2.2.4-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Tue, 17 Feb 2004 15:18:42 +0100

drpython (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Thu, 12 Feb 2004 23:19:56 +0100

drpython (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Added an icon to menu

 -- Cédric Delfosse <cedric@debian.org>  Mon,  9 Feb 2004 22:42:24 +0100

drpython (2.1.9-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Tue,  3 Feb 2004 21:48:28 +0100

drpython (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Thu, 29 Jan 2004 22:50:50 +0100

drpython (2.0.2-1) unstable; urgency=low

  * Initial Release. (closes: Bug#227060)

 -- Cédric Delfosse <cedric@debian.org>  Wed, 14 Jan 2004 22:27:04 +0100

=== debian/control ===
Source: drpython
Section: devel
Priority: optional
Maintainer: Cdric Delfosse <cedric@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), python, dpatch
Standards-Version: 3.6.0

Package: drpython
Architecture: all
Depends: ${python:Depends}, libwxgtk2.4-python
Description: simple and customizable editor for the Python language
 DrPython is a clean and simple yet powerful and highly customizable
 editor/environment for developing programs written in Python.
 .
 DrPython features:
  * a high degree of customization through themes, which can change look and
    feel, behavior, shortcuts and more
  * DrScript: Write custom python scripts with access to DrPython internals,
    and access them from the menu
  * bookmarks to quickly jump to files and directories
  * Python debugger support
  * a class browser
  * printing support
 .
  Homepage: http://drpython.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGES=drpython

include /usr/share/dpatch/dpatch.make

build: build-stamp

build-stamp: patch
	dh_testdir
	touch build-stamp

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/drpython.
	dh_install -Xdrpython *.py usr/share/drpython
	dh_install bitmaps usr/share/drpython
	dh_install examples/Themes usr/share/drpython
	dh_install debian/drpython.xpm usr/share/pixmaps
	install drpython.py debian/drpython/usr/bin/drpython

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog.txt
	dh_installdocs
	dh_installexamples -X drscript.dat examples/DrScript
	dh_installexamples examples/*.dat 
	dh_installmenu
	dh_installman debian/drpython.1
	dh_link
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## drpython 3.11.1

=== debian/changelog ===
drpython (1:3.11.1-2) unstable; urgency=low

  * New Maintainer (Closes: #575845). 
  * Bump Standards-Version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- William Vera <billy@billy.com.mx>  Thu, 01 Apr 2010 14:21:09 -0600

drpython (1:3.11.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream release.
  * Remove patches merged upstream:
    - debian/patches/remove_shebangs
    - debian/patches/interpreter_hang
    - debian/patches/nonexistant_file
    - debian/patches/printsetup_disable_WriteText
  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Switch to debhelper 7.
  * Adjust copyright informations.
  * Install drpython module in a private directory.
  * Drop wx2.8-doc from Recommends, move it to Suggests.
  * Add ${misc:Depends} to drpython dependencies.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 29 Aug 2009 21:11:12 +0200

drpython (1:3.11.0-3) unstable; urgency=low

  * Add Python Applications Packaging Team to Uploaders.
  * Add Vcs-* fields in source stanza.
  * Reorganize patches:
    - Switch to quilt.
    - Comment and divide patches from Debian-specific bits to the
      ones to be forwarded/fixed upstream.
    - debian/patches/program_paths now provides fix for LP: #339323 too.
  * debian/patches/distutils_exclude_files:
    - Do not install unwanted files with distutils.
  * debian/patches/debian_python:
    - Adjust modules and paths to match Debian Python implementation.
  * debian/copyright:
    - DrPython licensed under GPLv2, adjust link accordingly.
  * debian/rules:
    - Use distutils to install files.
    - Remove build target, useless.
    - Use drpython.install file instead of multiple calls to dh_install.
  * debian/dirs:
    - No useful anymore, removed.
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 07 Apr 2009 22:34:42 +0200

drpython (1:3.11.0-2) unstable; urgency=low

  * debian/patches/16_FileDialog.dpatch: use wx.filedialog by default to
    avoid DrPython to hang for a long time on huge directories.
  * debian/watch: report correct upstream version.
  * Add debian/README.Source file, as per policy.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 05 Nov 2008 23:24:55 +0100

drpython (1:3.11.0-1) unstable; urgency=low

  * New upstream release.
  * Bump epoch due to new version numbering system.
  * debian/control:
    - Adjust dependencies for wxwidgets2.8.
  * debian/patches/15_output_redirection.dpatch:
    - Set standard output and error to valid UNIX locations.
  * Adjust patches for new upstream release:
    - debian/patches/03_pythonfix.dpatch
  * Drop patches, implemented upstream:
    - debian/patches/10_ctrl_q_to_exit_as_default_shortcut.dpatch

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 03 Jul 2008 22:11:49 +0200

drpython (165-7) unstable; urgency=low

  * debian/control:
    - s/python/Python/, fix spelling-error-in-description lintian warning.
    - Bump Standards-Version to 3.8.0.
    - Add DM-Upload-Allowed field.
  * debian/copyright:
    - Add copyright notice, fix lintian warning.
  * debian/drpython.doc-base:
    - Switch Section to Programming, fix lintian warning.
  * Add debian/pysupport.
  * debian/patches/14_printsetup_disable_WriteText.dpatch:
    - Fix crash in PrinterSetup routine.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 27 Jun 2008 01:19:45 +0200

drpython (165-6) unstable; urgency=low

  * Update to new policy (3.7.3)
  * Switch to new Homepage field
  * debian/copyright is now UTF-8 valid
  * Do not use uppercase letters in doc-base Document field

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 04 Jan 2008 00:16:21 +0100

drpython (165-5) unstable; urgency=low

  * Suggest python-tk since it is required to browse PyDoc
  * Add watch file
  * Remove XS-Vcs-Bzr field in debian/control, not really useful for now

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 22 Oct 2007 13:25:39 +0200

drpython (165-4) unstable; urgency=low

  * New Maintainer (Closes: #439046)
  * Do not insert erroneous character while pressing Shift key toghether
    with DEL or INSERT (Closes: #347622, #347623)
  * Do not crash if saved file is not available (LP: #96014)
  * Removed useless maintainer scripts
  * Do not recommend python-doc, suggest it instead
  * Modify .desktop file to be freedesktop compliant
  * Replace Apps with Applications in .menu file to fix a lintian warning
  * Use XS-Vcs-Bzr in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 05 Sep 2007 00:38:34 +0200

drpython (165-3) unstable; urgency=low

  * Orphaned

 -- Cédric Delfosse <cedric@debian.org>  Tue, 21 Aug 2007 21:44:03 +0200

drpython (165-2) unstable; urgency=low

  * Default open and save location should be the user's home (Closes: #429552)
    Add patch 11_change_default_directory from Stijn Polfliet

 -- Cédric Delfosse <cedric@debian.org>  Fri, 22 Jun 2007 21:55:09 +0200

drpython (165-1) unstable; urgency=low

  * New upstream release
  * Removed 09_drnotebook_onkeydown_fix applied upstream
  * Some update in debian/rules

 -- Cédric Delfosse <cedric@debian.org>  Thu, 19 Apr 2007 22:02:04 +0200

drpython (161-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed deps to work with python >=2.3 (Closes: #384951)
  * Changed Recommend: python2.3-doc to python-doc.
  * Removed debhelper and patch from Build-Depends-Indep.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 22 Oct 2006 04:37:23 +0200

drpython (161-3) unstable; urgency=low

  * Use python-support.
  * Bump debhelper compat mode to 5.
  * Set pycompat to 2.
  * Bump Standards-Version to 3.7.2.

 -- Cédric Delfosse <cedric@debian.org>  Tue, 11 Jul 2006 19:11:57 +0000

drpython (161-2) unstable; urgency=low

  * Fix maintainer name in previous changelog !
  * debian/copyright: update FSF address
  * New patch for "error when pressing <Control+Q>"


=== debian/control ===
Source: drpython
Section: devel
Priority: optional
Maintainer: William Vera <billy@billy.com.mx>
Build-Depends: debhelper(>= 7.0.50~)
Build-Depends-Indep: python-support (>= 0.5.3)
Homepage: http://drpython.sourceforge.net
Standards-Version: 3.8.4

Package: drpython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8
Suggests: python-doc, wx2.8-doc, python-tk
Description: simple and customizable editor for the Python language
 DrPython is a clean and simple yet powerful and highly customizable
 editor/environment for developing programs written in Python.
 .
 DrPython features:
  * a high degree of customization through themes, which can change look and
    feel, behavior, shortcuts and more
  * DrScript: Write custom Python scripts with access to DrPython internals,
    and access them from the menu
  * bookmarks to quickly jump to files and directories
  * Python debugger support
  * a class browser
  * printing support

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/drpython
	install -m 0755 -D drpython.pyw debian/drpython/usr/share/drpython/run

=== debian/watch ===
version=3
http://sf.net/drpython/drpython-([0-9]+\.[0-9]+\.[0-9]+)\.zip debian uupdate

## drpython 3.11.4

=== debian/changelog ===
drpython (1:3.11.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - Update and refresh patches.
    - Drop patch FileDialog, incorporated upstream.
    - Needs --buildsystem=python_distutils passing to dh because there's now
      a 'Makefile' in the top level of the source tree.
    - Needs python-wxgtk3.0 as a build dependency.
    - Now need to build documentation from source (new BD python-sphinx).
  * Update for wxPython 3.0 (Closes: #758954):
    - New patch: wxpython3.0.patch
  * Update from python-support to dh-python.
  * debian/watch: Fix to allow for slightly different naming of upstream source
    code zip files.

 -- Olly Betts <olly@survex.com>  Sun, 21 Sep 2014 11:46:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: William Vera <billy@billy.com.mx>
-Build-Depends: debhelper(>= 7.0.50~)
-Build-Depends-Indep: python-support (>= 0.5.3)
+Build-Depends: debhelper(>= 7.0.50~), python-wxgtk3.0
+Build-Depends-Indep: python-all (>= 2.6.6-3~), dh-python, python-sphinx
 Homepage: http://drpython.sourceforge.net
 Standards-Version: 3.8.4
 
 Package: drpython
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8
-Suggests: python-doc, wx2.8-doc, python-tk
+Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk3.0
+Suggests: python-doc, wx3.0-doc, python-tk
 Description: simple and customizable editor for the Python language
  DrPython is a clean and simple yet powerful and highly customizable
  editor/environment for developing programs written in Python.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build:
	make docs
	cp docsrc/drpython.png documentation
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --with python2 --buildsystem=python_distutils -- --install-lib=/usr/share/drpython
	install -m 0755 -D drpython.pyw debian/drpython/usr/share/drpython/run

override_dh_auto_clean:
	make clean
	dh_auto_clean

=== debian/watch ===
version=3
http://sf.net/drpython/[Dd]r[Pp]ython[-_]([0-9]+\.[0-9]+\.[0-9]+)\.zip debian uupdate
